### Constructor

# Shumate MarkerLayer new_full

#### Declaration [src]

    ShumateMarkerLayer*
    shumate_marker_layer_new_full (
      ShumateViewport* viewport,
      GtkSelectionMode mode
    )

#### Description [src]

Creates a new instance of `ShumateMarkerLayer` with the specified selection mode.

#### Parameters

`viewport` | `ShumateViewport`
| The `ShumateViewport`.
| The data is owned by the caller of the function.
`mode` | `GtkSelectionMode`
| Selection mode.

#### Return value

Returns: | `ShumateMarkerLayer`
| A new `ShumateMarkerLayer` ready to be used as a container for the markers.
| The data is owned by the called function.